[DEFAULT]
enabled_apis = osapi_compute,metadata
transport_url = rabbit://openstack:{{ rabbit_password }}@{{ controller_ip }}
my_ip={{ controller_ip }}
use_neutron = True
firewall_driver = nova.virt.firewall.NoopFirewallDriver
[api]
auth_strategy = keystone
[api_database]
connection = mysql+pymysql://nova:{{ nova_password }}@{{ controller_ip }}/nova_api
[barbican]
[cache]
[cells]
[cinder]
[compute]
[conductor]
[console]
[consoleauth]
[cors]
[crypto]
[database]
connection = mysql+pymysql://nova:{{ nova_password }}@{{ controller_ip }}/nova
[devices]
[ephemeral_storage_encryption]
[filter_scheduler]
[glance]
api_servers = http://{{controller_ip}}:9292
[guestfs]
[healthcheck]
[hyperv]
[ironic]
[key_manager]
[keystone]
[keystone_authtoken]
auth_url = http://{{ controller_ip }}:5000/v3
memcached_servers = {{ controller_ip }}:11211
auth_type = password
project_domain_name = default
user_domain_name = default
project_name = service
username = nova
password = {{ nova_user }}
[libvirt]
[matchmaker_redis]
[metrics]
[mks]
[neutron]
url = http://{{ controller_ip }}:9696
auth_url = http://{{ controller_ip }}:35357
auth_type = password
project_domain_name = default
user_domain_name = default
region_name = RegionOne
project_name = service
username = neutron
password = {{ neutron_user }}
service_metadata_proxy = true
metadata_proxy_shared_secret = {{ metadata_secret }}
[notifications]
[osapi_v21]
[oslo_concurrency]
lock_path = /var/lib/nova/tmp
[oslo_messaging_amqp]
[oslo_messaging_kafka]
[oslo_messaging_notifications]
[oslo_messaging_rabbit]
[oslo_messaging_zmq]
[oslo_middleware]
[oslo_policy]
[pci]
[placement]
os_region_name = RegionOne
project_domain_name = Default
project_name = service
auth_type = password
user_domain_name = Default
auth_url = http://{{ controller_ip }}:5000/v3
username = placement
password = {{ placement_password }}
[quota]
[rdp]
[remote_debug]
[scheduler]
discover_hosts_in_cells_interval = 30
[serial_console]
[service_user]
[spice]
[upgrade_levels]
[vault]
[vendordata_dynamic_auth]
[vmware]
[vnc]
enabled = true
server_listen = $my_ip
server_proxyclient_address = $my_ip
[workarounds]
[wsgi]
[xenserver]
[xvp]
